---
dependency:
  name: galaxy
driver:
  name: docker

platforms:
  - name: install_base
    image: rockylinux:8.6.20227707

lint: ansible-lint /home/franck/git/ansible/roles/install_base
provisioner:
  name: ansible
  inventory:
    links:
      hosts: /etc/ansible/hosts
  options:
    vvv: true

scenario:
  create_sequence:
    - dependency
    - create
    - prepare
  check_sequence:
    - dependency
    - cleanup
    - destroy
    - create
    - prepare
    - converge
    - check
    - destroy
  converge_sequence:
    - dependency
    - create
    - prepare
    - converge
  destroy_sequence:
    - dependency
    - cleanup
    - destroy
  test_sequence:
    - lint
    - dependency
    - cleanup
    - destroy
    - syntax
    - create
    - prepare
    - converge
    # EXAMPLE_6: idempotence is hard.  Look at molecule scenarios for CI.
    - idempotence
    - side_effect
    - verify
    - cleanup
    - destroy

verifier:
  name: testinfra
